{
  lib,
  config,
  ...
}: let
  cfg = config.marleyos.services.openssh;
in {
  config = lib.mkIf cfg.enable {
    services.openssh.settings = {
      PermitRootLogin = "prohibit-password";
    };
  };
}
